ConstrainedPropertyBuilder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class ConstrainedPropertyBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              org.codehaus.groovy.grails.validation.ConstrainedPropertyBuilder

    public class ConstrainedPropertyBuilder
    extends groovy.util.BuilderSupport

Builder used as a delegate within the "constraints" closure of GrailsDomainClass instances .

Authors:
  Graeme Rocher

Constructor Summary
`ConstrainedPropertyBuilder(java.lang.Object target)`
`ConstrainedPropertyBuilder(java.lang.Class targetClass)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
`protected java.lang.Object` | `doInvokeMethod(java.lang.String methodName, java.lang.Object name, java.lang.Object args)`
`java.util.Map` | `getConstrainedProperties()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.String` | `getSharedConstraint(java.lang.String propertyName)`
`protected void` | `setParent(java.lang.Object parent, java.lang.Object child)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class groovy.util.BuilderSupport
groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### ConstrainedPropertyBuilder

    public ConstrainedPropertyBuilder(java.lang.Object target)

### ConstrainedPropertyBuilder

    public ConstrainedPropertyBuilder(java.lang.Class targetClass)

Method Detail

### createNode

    @java.lang.SuppressWarnings("rawtypes")
    @java.lang.Override
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

### createNode

    @java.lang.SuppressWarningsreturn handleImportFrom(attributes, (Class) value);
    @java.lang.Override}
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

### createNode

    @java.lang.Overridereturn createNode(name,Collections.EMPTY_MAP,value);
    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    @java.lang.Override}
    }
    protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

### doInvokeMethod

    @java.lang.Override
    protected java.lang.Object doInvokeMethod(java.lang.String methodName, java.lang.Object name, java.lang.Object args)

### getConstrainedProperties

    public java.util.Map getConstrainedProperties()

### getProperty

    @java.lang.Override
    public java.lang.Object getProperty(java.lang.String property)

### getSharedConstraint

    public java.lang.String getSharedConstraint(java.lang.String propertyName)

### setParent

    @java.lang.Overrideprotected Object createNode(Object name) {
    protected void setParent(java.lang.Object parent, java.lang.Object child)

### setProperty

    @java.lang.Override
    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation